Sales REST endpoints
vendor/magento/module-sales/etc/webapi.xml
GET
/V1/creditmemo/:id
Loads a specified credit memo.
Sales · Magento\Sales\Api\CreditmemoRepositoryInterface::get
/V1/creditmemo/:id/comments
Lists comments for a specified credit memo.
Sales · Magento\Sales\Api\CreditmemoManagementInterface::getCommentsList
/V1/creditmemos
Lists credit memos that match specified search criteria.
Sales · Magento\Sales\Api\CreditmemoRepositoryInterface::getList
/V1/invoices
Lists invoices that match specified search criteria.
Sales · Magento\Sales\Api\InvoiceRepositoryInterface::getList
/V1/invoices/:id
Loads a specified invoice.
Sales · Magento\Sales\Api\InvoiceRepositoryInterface::get
/V1/invoices/:id/comments
Lists comments for a specified invoice.
Sales · Magento\Sales\Api\InvoiceManagementInterface::getCommentsList
/V1/orders
Lists orders that match specified search criteria.
Sales · Magento\Sales\Api\OrderRepositoryInterface::getList
/V1/orders/:id
Loads a specified order.
Sales · Magento\Sales\Api\OrderRepositoryInterface::get
/V1/orders/:id/comments
Lists comments for a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::getCommentsList
/V1/orders/:id/statuses
Gets the status for a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::getStatus
/V1/orders/items
Lists order items that match specified search criteria.
Sales · Magento\Sales\Api\OrderItemRepositoryInterface::getList
/V1/orders/items/:id
Loads a specified order item.
Sales · Magento\Sales\Api\OrderItemRepositoryInterface::get
/V1/shipment/:id
Loads a specified shipment.
Sales · Magento\Sales\Api\ShipmentRepositoryInterface::get
/V1/shipment/:id/comments
Lists comments for a specified shipment.
Sales · Magento\Sales\Api\ShipmentManagementInterface::getCommentsList
/V1/shipment/:id/label
Gets a specified shipment label.
Sales · Magento\Sales\Api\ShipmentManagementInterface::getLabel
/V1/shipments
Lists shipments that match specified search criteria.
Sales · Magento\Sales\Api\ShipmentRepositoryInterface::getList
/V1/transactions
Lists transactions that match specified search criteria.
Sales · Magento\Sales\Api\TransactionRepositoryInterface::getList
/V1/transactions/:id
Loads a specified transaction.
Sales · Magento\Sales\Api\TransactionRepositoryInterface::get
POST
/V1/creditmemo
Performs persist operations for a specified credit memo.
Sales · Magento\Sales\Api\CreditmemoRepositoryInterface::save
/V1/creditmemo/:id/comments
Performs persist operations for a specified entity.
Sales · Magento\Sales\Api\CreditmemoCommentRepositoryInterface::save
/V1/creditmemo/:id/emails
Emails a user a specified credit memo.
Sales · Magento\Sales\Api\CreditmemoManagementInterface::notify
/V1/creditmemo/refund
Prepare creditmemo to refund and save it.
Sales · Magento\Sales\Api\CreditmemoManagementInterface::refund
/V1/invoice/:invoiceId/refund
Create refund for invoice
Sales · Magento\Sales\Api\RefundInvoiceInterface::execute
/V1/invoices/
Performs persist operations for a specified invoice.
Sales · Magento\Sales\Api\InvoiceRepositoryInterface::save
/V1/invoices/:id/capture
Sets invoice capture.
Sales · Magento\Sales\Api\InvoiceManagementInterface::setCapture
/V1/invoices/:id/emails
Emails a user a specified invoice.
Sales · Magento\Sales\Api\InvoiceManagementInterface::notify
/V1/invoices/:id/void
Voids a specified invoice.
Sales · Magento\Sales\Api\InvoiceManagementInterface::setVoid
/V1/invoices/comments
Performs persist operations for a specified invoice comment.
Sales · Magento\Sales\Api\InvoiceCommentRepositoryInterface::save
/V1/order/:orderId/invoice
Sales · Magento\Sales\Api\InvoiceOrderInterface::execute
/V1/order/:orderId/refund
Create offline refund for order
Sales · Magento\Sales\Api\RefundOrderInterface::execute
/V1/order/:orderId/ship
Creates new Shipment for given Order.
Sales · Magento\Sales\Api\ShipOrderInterface::execute
/V1/orders
Performs persist operations for a specified order.
Sales · Magento\Sales\Api\OrderRepositoryInterface::save
/V1/orders/:id/cancel
Cancels a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::cancel
/V1/orders/:id/comments
Adds a comment to a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::addComment
/V1/orders/:id/emails
Emails a user a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::notify
/V1/orders/:id/hold
Holds a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::hold
/V1/orders/:id/unhold
Releases a specified order from hold status.
Sales · Magento\Sales\Api\OrderManagementInterface::unHold
/V1/shipment/
Performs persist operations for a specified shipment.
Sales · Magento\Sales\Api\ShipmentRepositoryInterface::save
/V1/shipment/:id/comments
Performs persist operations for a specified shipment comment.
Sales · Magento\Sales\Api\ShipmentCommentRepositoryInterface::save
/V1/shipment/:id/emails
Emails user a specified shipment.
Sales · Magento\Sales\Api\ShipmentManagementInterface::notify
/V1/shipment/track
Performs persist operations for a specified shipment track.
Sales · Magento\Sales\Api\ShipmentTrackRepositoryInterface::save
PUT
/V1/creditmemo/:id
Cancels a specified credit memo.
Sales · Magento\Sales\Api\CreditmemoManagementInterface::cancel
/V1/orders/:parent_id
Performs persist operations for a specified order address.
Sales · Magento\Sales\Api\OrderAddressRepositoryInterface::save
/V1/orders/create
Performs persist operations for a specified order.
Sales · Magento\Sales\Api\OrderRepositoryInterface::save
DELETE
Every Magento dev tool, in one hosted workspace.
Free to sign up. Nothing to install. Drafts, audits, and projects saved across every tool.